Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS']
  'require':
    'frameworks/breeze-icons': '@same'
    'frameworks/extra-cmake-modules': '@same'
    'frameworks/karchive' : '@same'
    'frameworks/kconfig' : '@same'
    'frameworks/kguiaddons' : '@same'
    'frameworks/ki18n' : '@same'
    'frameworks/kjobwidgets' : '@same'
    'frameworks/kio' : '@same'
    'frameworks/kparts' : '@same'
    'frameworks/sonnet' : '@same'
    'frameworks/kxmlgui' : '@same'
    'frameworks/syntax-highlighting' : '@same'

- 'on': ['Linux', 'FreeBSD', 'macOS']
  'require':
    'frameworks/kauth': '@same'

Options:
  test-before-installing: True
  require-passing-tests-on: [ 'Linux', 'FreeBSD', 'Windows' ]
  cppcheck-ignore-files: ['templates/']
